InboxList scheduled replies

List scheduled replies

Returns pending, sending, or failed scheduled replies for a conversation, sorted by scheduled time ascending.

curl -X GET "https://api.sendkit.ai/v1/inbox/example_string/scheduled" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": [
    {
      "_id": "664a1b2c3d4e5f6a7b8c9d10",
      "campaignLeadId": "664a1b2c3d4e5f6a7b8c9d0e",
      "to": "jane@example.com",
      "message": "Great to hear! Let's schedule a call...",
      "scheduledFor": "2024-06-02T09:00:00.000Z",
      "status": "pending",
      "mailboxId": "664a1b2c3d4e5f6a7b8c9d03",
      "createdAt": "2024-06-01T15:00:00.000Z"
    }
  ]
}
GET
/v1/inbox/{conversationId}/scheduled
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
path
conversationIdstring
Required

Conversation ID (the inbox thread ID)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

conversationIdstring
Required

Conversation ID (the inbox thread ID)

Responses

successboolean
dataarray